
Subscription - Bug #2265

Crashes on 2.4.0 Overview

21 Nov 2013 18:57 - Txinto Vaz

Status: Closed Start date: 21 Nov 2013

Priority: Normal Due date: 14 Jun 2014

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.0.1b   

Redmine version: 2.4.0 External issue:  

Description

When having the project sections activated (not sure if it is implied or not) and activate the module, if you try to navigate it crashes.

Overview → crashes.

Activity → does not.

Wiki books → does not.

Roadmap → crashes.

Issues → crashes.

Issues new → does not.

News → crashes.

Documents → does not.

Wiki → crashes.

Files → Crashes.

Settings → does not.

This is the trace for Overview:

Started GET "/project/gatatac/gatatac-web" for 85.59.64.135 at 2013-11-21 18:56:01 +0000

Processing by ProjectsController#show as HTML

  Parameters: {"section"=>"gatatac/gatatac-web"}

  Current user: txinto (id=3)

  Rendered plugins/like/app/views/like/common/_facebook.html.erb (0.4ms)

  Rendered plugins/like/app/views/like/project/_content.html.erb (4.0ms)

  Rendered projects/_members_box.html.erb (6.0ms)

  Rendered news/_news.html.erb (33.7ms)

  Rendered plugins/like/app/views/like/project/_sidebar.html.erb (1.9ms)

  Rendered plugins/meta/app/views/meta/_projects.html.erb (19.4ms)

  Rendered plugins/sidebar/app/views/sidebar/_project.html.erb (12.8ms)

  Rendered projects/show.html.erb within layouts/base (216.1ms)

  Rendered plugins/redmine_wiki_extensions/app/views/wiki_extensions/_html_header.html.erb (19.4ms

)

  Rendered plugins/subscription/app/views/subscribe/_form.html.erb (1892.3ms)

  Rendered plugins/subscription/app/views/subscribe/_sidebar.html.erb (1898.4ms)

Completed 500 Internal Server Error in 2545.4ms

ActionView::Template::Error (undefined method `link_to_remote' for #<#<Class:0x00000007cf9610>:0x0

07fb2d10d4c70>):

    10:   <div id="subscribe">

    11: 

    12:     <div class="contextual">

    13:       <%= link_to_remote(@subscriber && !@subscriber.new_record? ? l(:button_update) : l(:

label_subscribe),

    14:                          :url => { :controller => 'subscriptions',

    15:                                    :action     => 'subscription',

    16:                                    :id         => @project,

  app/helpers/application_helper.rb:1179:in `content_for'

  lib/redmine/hook.rb:61:in `block (2 levels) in call_hook'

  lib/redmine/hook.rb:61:in `each'

  lib/redmine/hook.rb:61:in `block in call_hook'

  lib/redmine/hook.rb:58:in `tap'

  lib/redmine/hook.rb:58:in `call_hook'

26 Apr 2024 1/2



  lib/redmine/hook.rb:158:in `call_hook'

  app/controllers/projects_controller.rb:163:in `show'

Related issues:

Related to Subscription - Bug #2077: does not work with redmine 2.0.3 Closed 28 Jun 2012

History

#1 - 13 Jun 2014 22:24 - Andriy Lesyuk

- Status changed from New to Open

- Assignee set to Andriy Lesyuk

- Target version set to 0.0.1b

#2 - 14 Jun 2014 14:57 - Andriy Lesyuk

- Due date set to 14 Jun 2014

- Status changed from Open to Closed

- % Done changed from 0 to 100

Fixed in r21.
